cpt-list(1)

NAME
cpt-list - list packages

SYNOPSIS
cpt-list [-cq] pkg...
cpt-list -C pkg true-statement false-statement

DESCRIPTION
cpt-list can be used to list all packages or check if the given package is installed on the system. Without any arguments supplied, cpt-list will list all packages installed on the system. Otherwise, it will check and list the given packages. If any of the given packages are not installed on the system, cpt-list will exit with an error. However, -C and --check flags can be used in order to change the behaviour of the utility:

-c, --current
    Assumes that the current directory is a package and will use it instead of arguments.

-q, --quiet
    Make the operation quiet, only reporting exit status.

-C, --check package true_statement false_statement
    Checks whether the package is installed on the system and returns the string for true_statement if it is installed and the string for false_statement if it isn't. This function is mostly useful for being called inside packages for optional dependencies.

AUTHOR
Cem Keylan <cem@ckyln.com>

LICENSE
See LICENSE for copyright information.

SEE ALSO
cpt(1)